Citizens help

Discussion in 'Spigot Help' started by BSidiocy, May 11, 2015.

  1. Hi .. i've been using Citizens 1166 1.7.10
    Its working fine but when I create a human npc

    My server crashes!
    It cant open without deleting the previous npc create!
    Errors spam my wall

    Other commands are working fine but human npc makes the server crash..

    http://pastebin.com/aw3tGqGE

    Help me pls!

    We are running Spigot 1.7.10
    If any of you got Citizens compatibility that works fine in spigot 1.7.10

    kindly pm or post it here pls
    We really need Citizens!

    Help me ASAP!
    ty


    ------
    Update
    (I tried updating to the most updated version)
    - Latest build shows error when creating players but doesnt crash the server
    Error only appears once after npc has been created:
    http://pastebin.com/6r03C71D
     
    #1 BSidiocy, May 11, 2015
    Last edited: May 11, 2015
  2. Bump! help pls
     
  3. Check to see if you have the latest vault version.
     
  4. Im using Spigot 1.7.10 (Owner wants 1.7.2 - 1.8.0 compatibility) that's why we cant update
    Latest Vault isnt compatible to Spigot 1.7.10
    That's why we are using Vault 1.2.31 (1.7.2.) which is the only spigot compatible
     
  5. What?
    Dont post if your not going to help
    Im looking for solutions not spam.
     
  6. Are you using essentials economy?
     
  7. Why can't you just update everything on your server to 1.8? Would make everything much easier for you
     
  8. Server Owner wanted 1.7.2 - 1.8 compatability
     
  9. The errors is basically saying a part (method) needed when running a task is missing. This is likely due to you having an outdated and incompatible version of Vault running.
     
  10. Well does it affect my server pretty bad?
    The error only pops-up when I create a Human NPC
    After that nothing .. and NPC works fine
     
  11. Basically, update vault to match the version of citizens, done
     
  12. You kept repeating things all over again..
    Haven't you read the posts above.
     
  13. No it should be fine as long as it is working as you want it to.